# Class U_0_1_0_UpdateDataPatien

Namespace
  adas_core.Infrastructure.Migrations.MongoMigrations

Assembly
  adas-core.Infrastructure.dll

Represents a database migration (version 0.1.0) responsible for updating the patient data schema.

    public class U_0_1_0_UpdateDataPatien : Migration, IMigration

Inheritance
  object
  Migration
  U_0_1_0_UpdateDataPatien

Implements
  IMigration

Inherited Members
  Migration.Database
  Migration.Version
  Migration.Description
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits from the Migration base class, indicating it is intended to be applied as part of an Entity Framework (or similar) migration pipeline to evolve the underlying data store.

## Constructors

### U_0_1_0_UpdateDataPatien()

    public U_0_1_0_UpdateDataPatien()

## Methods

### Down()

    public void Down()

### Update()

    public override void Update()